curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/channel/seller/platform/{jtlAccountId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"sellerId": "4711",
"isActive": true,
"companyName": "Bernd's brennender Brennholzverleih GmbH"
}
EOFimport requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/seller/platform/{jtlAccountId}"
payload = {
"sellerId": "4711",
"isActive": True,
"companyName": "Bernd's brennender Brennholzverleih GmbH"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sellerId: '4711',
isActive: true,
companyName: 'Bernd\'s brennender Brennholzverleih GmbH'
})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/seller/platform/{jtlAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Upsert Marketplace Seller
A marketplace channel of a platform adds a seller without a sign-up session.
The seller must already be signed up at another marketplace channel of the same platform. If the channel already knows the seller, SCX updates it instead.
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Path Parameters
JTL account that owns the seller. JTL Internal ID to identify a JTL Account
x >= 11782
Body
Seller to add to or update at the marketplace channel.
Seller data a marketplace channel sends to add or update a seller of a sibling marketplace channel.
A unique Id identify a Seller on a specific SalesChannel. The SellerId is generated from the Channel itself during the Seller SignUp Process.
^\w{1,50}$"4711"
Whether the seller is active at this marketplace channel.
true
"Bernd's brennender Brennholzverleih GmbH"
Response
Seller of the marketplace channel updated
Was this page helpful?